define({ "api": [
  {
    "type": "get",
    "url": "/api/attachment/delete/{md5}",
    "title": "删除文件（图片）",
    "description": "<p>删除文件（图片）</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDeleteMd5"
  },
  {
    "type": "get",
    "url": "/api/attachment/download/{md5}",
    "title": "下载文件（图片）",
    "description": "<p>下载文件（图片）(get code)</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  文件二进制码\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 404 Not found",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDownloadMd5"
  },
  {
    "type": "post",
    "url": "/api/attachment/upload",
    "title": "通用上传接口",
    "description": "<p>通用上传接口</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "tag",
            "description": "<p>附件标签 avatar video dream</p>"
          },
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "file",
            "description": "<p>附件（可以多个，使用file.xxx，可返回多个）[默认大小【10M】, 类型图片png jpg gif,视频类型mp4]</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n        \"file\": \"f72e7dad80f597ed6621a009e82243ad\",\n         //文件访问url http://localhost/attachment/f72e7dad80f597ed6621a009e82243ad\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentUpload"
  },
  {
    "type": "get",
    "url": "/api/home/getbasedata",
    "title": "获取可选批次及省份",
    "description": "<p>获取可选批次及省份</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"batchs\": [\n\n         ],\n         \"provinces\":[\n\n         ]\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "GetApiHomeGetbasedata"
  },
  {
    "type": "get",
    "url": "/api/home/getintroduction",
    "title": "获取使用说用及协议",
    "description": "<p>获取使用说用及协议</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"list\": [\n\n         ]\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "GetApiHomeGetintroduction"
  },
  {
    "type": "post",
    "url": "/api/home/agreeintroduction",
    "title": "同意使用说用及协议",
    "description": "<p>同意使用说用及协议</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "userid",
            "description": "<p>用户ID(必填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"userinfo\": [\n\n         ]\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "PostApiHomeAgreeintroduction"
  },
  {
    "type": "post",
    "url": "/api/home/getpaidmajors",
    "title": "查询付费信息",
    "description": "<p>查询付费信息</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "userid",
            "description": "<p>用户ID(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "username",
            "description": "<p>考生姓名(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "batch",
            "description": "<p>批次(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "province",
            "description": "<p>省份(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "class",
            "description": "<p>科类(必填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK 已付费查看过,显示匹配信息\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"count\": \"\"\n        \"major\":[\n     ]\n\n    }\n}\n\nHTTP/1.1 200 OK 未曾付费，跳转到支付页面\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n             \"msg\": \"need to pay\",\n             \"price\": \"\"\n     }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "PostApiHomeGetpaidmajors"
  },
  {
    "type": "post",
    "url": "/api/home/getqueried",
    "title": "查询免费信息",
    "description": "<p>查询免费信息</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "userid",
            "description": "<p>用户ID(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "username",
            "description": "<p>考生姓名(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "cnumber",
            "description": "<p>考号(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "class",
            "description": "<p>科类(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "grade",
            "description": "<p>高考成绩(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "mobile",
            "description": "<p>手机号(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "batch",
            "description": "<p>批次(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "province",
            "description": "<p>省份(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "code",
            "description": "<p>推荐码(选填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"rank\": \"\"\n        \"grade\": \"\"\n        \"college_count\": \"\"\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "PostApiHomeGetqueried"
  },
  {
    "type": "post",
    "url": "/api/home/login",
    "title": "登陆(login)",
    "description": "<p>登陆(login)</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "code",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "nickName",
            "description": ""
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "avatar",
            "description": ""
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"userinfo\": {\n             \"id\": \"\",\n             \"nickname\": \"\",\n             \"openid\": \"\",\n             \"has_agreed\": \"\"           //1:已同意说明，进入主页面；0:为同意协议，进入协议说明页面\n         }\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "PostApiHomeLogin"
  },
  {
    "type": "post",
    "url": "/api/home/pay",
    "title": "获取微信支付签名信息",
    "description": "<p>获取微信支付签名信息</p>",
    "group": "____",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "userid",
            "description": "<p>用户ID(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "price",
            "description": "<p>付费金额(必填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n             \"appId\":\"wx1c2357232cd25f65\",\n             \"timeStamp\":\"1524907589\",\n             \"nonceStr\":\"5ae43e45eb499\",\n             \"package\":\"prepay_id=wx28172629917401724160128f0238805782\",\n             \"signType\":\"MD5\",\n             \"paySign\":\"8E9CF26B2B83C22471D023CBBDC36EDF\"\n         }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "____",
    "name": "PostApiHomePay"
  }
] });
